Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# RTCP_SR_Packet Class Reference

The Sender Report packet is sent by all members of a session that are sending data. It contains statistics on the data being sent out. It also contains a list of RR_Block to represent each source this party is receiving data from. More...

`#include <RTCP_Packet.h>`

Inheritance diagram for RTCP_SR_Packet:

[legend]
Collaboration diagram for RTCP_SR_Packet:

[legend]
List of all members.

## Public Methods
| RTCP_SR_Packet (char *buffer, int *len)
| Constructor for incoming SR packets.
| RTCP_SR_Packet (ACE_UINT32 ssrcVal, ACE_UINT32 ntpMSByte, ACE_UINT32 ntpLSByte, ACE_UINT32 timestamp, ACE_UINT32 pktsSent, ACE_UINT32 octetsSent, RR_Block *rrBlocks)
| Constructor for outgoing SR packets.
virtual | ~RTCP_SR_Packet (void)
| Destructor.
unsigned int | packet_size (void)
| Returns the size of the packet in bytes.
ACE_UINT32 | ssrc (void)
| Returns the synchronization source id for the sender of this packet.
ACE_UINT32 | ntp_ts_msw (void)
| Returns the most significant word of the NTP timestamp.
ACE_UINT32 | ntp_ts_lsw (void)
| Returns the least significant word of the NTP timestamp.
void | dump (void)
| Prints the contents of the packet.
## Private Methods
void | build_packet (void)
| Used to create the byte representation of the RTCP packet.
## Private Attributes
ACE_UINT32 | ssrc_
| The synchronization source id of the sender generating this report.
ACE_UINT32 | ntp_ts_msw_
| The most significant word of the NTP timestamp.
ACE_UINT32 | ntp_ts_lsw_
| The least significant word of the NTP timestamp.
ACE_UINT32 | rtp_ts_
| The RTP timestamp.
ACE_UINT32 | psent_
| The total number of packets sent.
ACE_UINT32 | osent_
| The total number of octets sent.
RR_Block * | rr_
| A linked list of receiver report blocks.

## Detailed Description

The Sender Report packet is sent by all members of a session that are sending data. It contains statistics on the data being sent out. It also contains a list of RR_Block to represent each source this party is receiving data from.

## Constructor & Destructor Documentation

RTCP_SR_Packet::RTCP_SR_Packet | ( | char * | buffer,
|  | int * | len
| ) |

| Constructor for incoming SR packets.

RTCP_SR_Packet::RTCP_SR_Packet | ( | ACE_UINT32 | ssrcVal,
|  | ACE_UINT32 | ntpMSByte,
|  | ACE_UINT32 | ntpLSByte,
|  | ACE_UINT32 | timestamp,
|  | ACE_UINT32 | pktsSent,
|  | ACE_UINT32 | octetsSent,
|  | RR_Block * | rrBlocks
| ) |

| Constructor for outgoing SR packets.

RTCP_SR_Packet::~RTCP_SR_Packet | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

void RTCP_SR_Packet::build_packet | ( | void |  | ) | `[private, virtual]`

| Used to create the byte representation of the RTCP packet. Implements RTCP_Packet.

void RTCP_SR_Packet::dump | ( | void |  | ) |

| Prints the contents of the packet.

ACE_UINT32 RTCP_SR_Packet::ntp_ts_lsw | ( | void |  | ) | `[inline]`

| Returns the least significant word of the NTP timestamp.

ACE_UINT32 RTCP_SR_Packet::ntp_ts_msw | ( | void |  | ) | `[inline]`

| Returns the most significant word of the NTP timestamp.

unsigned int RTCP_SR_Packet::packet_size | ( | void |  | ) | `[virtual]`

| Returns the size of the packet in bytes. Implements RTCP_Packet.

ACE_UINT32 RTCP_SR_Packet::ssrc | ( | void |  | ) | `[inline]`

| Returns the synchronization source id for the sender of this packet.

## Member Data Documentation

ACE_UINT32 RTCP_SR_Packet::ntp_ts_lsw_`[private]`

| The least significant word of the NTP timestamp.

ACE_UINT32 RTCP_SR_Packet::ntp_ts_msw_`[private]`

| The most significant word of the NTP timestamp.

ACE_UINT32 RTCP_SR_Packet::osent_`[private]`

| The total number of octets sent.

ACE_UINT32 RTCP_SR_Packet::psent_`[private]`

| The total number of packets sent.

RR_Block* RTCP_SR_Packet::rr_`[private]`

| A linked list of receiver report blocks.

ACE_UINT32 RTCP_SR_Packet::rtp_ts_`[private]`

| The RTP timestamp.

ACE_UINT32 RTCP_SR_Packet::ssrc_`[private]`

| The synchronization source id of the sender generating this report.

The documentation for this class was generated from the following files:

- RTCP_Packet.h
- RTCP_Packet.cpp